/* yasep/tool/asm.js
 created mar. sept. 13 08:49:01 CEST 2011
 The successor of the "floating assembler window" :-)
 */

asmwin={
  win: null, // important : stores the ygwm id of the open window.
          // this is set to null to indicate it is closed,
          // !=null when open or hidden.

// This function creates, displays and populates/updates the ygwm window
  start: function() {
     // create a contents space to populate, patch and display
    asmwin.cont=document.createElement("DIV");
    // import the htmi, giving the "path" that is automatically completed with the current language
    asmwin.cont.innerHTML=import_htmi("tool/asm");
    // modify the <a> tags to change the style and hook the proper handling routines
    winman.patchInnerLinks(asmwin.cont);
    // get the hidden DIV where language-specific snippets are stored
    var t, h=getByClass("hiddenDiv","DIV",asmwin.cont);
    asmwin.win = ygwm.new_window(
       hiddenText(0,h), null, asmwin.cont,
       400, 300, 350, 350, false, true, true, true, false, "");

    // substitute a piece of text :
//    getById("id","SPAN",asmwin.cont).innerHTML=hiddenText(1,h);

    // Don't forget to return the window ID ! or else it won't be able to focus() it :-/
    return asmwin.win;
  },

  // this function is called at the "onload" stage, in index.js
  // It creates the .menuItem object to remember where to activate/deactivate the menu item
  init_obj: function(){
    asmwin.menuItem = menu.subMenuItem(menu.mainMenuItem("Tools"),"Assembler", "tool/asm");
  }
}

// dont forget to "register" the object so it can be called by other
// objects, with a "#!" tag in the HREF of the <A>
winman.register_window("tool/asm",asmwin.start);
