/*
yasep/doc/asm.js
jeu. sept. 15 06:18:29 CEST 2011
*/

DOC_GEN.valid_keys["asm"]={
  menuTitle:"Assembly&nbsp;language",
  onLoad: function(cont, h){

    var t=[],i=0;
    for (var u in Y.table_opcode) {
      if (Y.table_opcode[u].forms >0) // no alias ?
        t[i++]=Y.decorate_opcode(u);
    }
    getById("opcodes","span",cont).innerHTML=t.sort().join(" ");

    t=[];i=0;
    for (var u in Y.conditionTable)
      t[i++]=u;
    document.getElementById('condcodes').innerHTML=t.sort().join(" ");
  }
};


// For the example that uses emit_bin :
function emit_bin_example(){
  var asmout=document.getElementById("emitbin_example");
  var msgout=document.getElementById("emitbin_msg");
  var asmin =document.getElementById("ex_asm_input").value;
  var h="",m="";

  var emit_bin_buffer= new ASM_context(
    function(col,msg){  // message display routine
      m +='\n<span style="background-color:'+col+'">&nbsp;</span> '+msg;
    }
  );

  emit_bin_buffer.emit_bin=function(data, size){
    while (size--) { // displays every byte
      h+=' '+int2hex(data&255);
      data>>=8;
    }
    h+=', ';
  };

  Yasep_ASM.encode_YASEP_instruction(asmin,emit_bin_buffer);
  asmout.innerHTML=h;
  msgout.innerHTML=m;
}

winman.register_window("doc/asm",DOC_GEN.start);

